Subject: Ticket Assigned - Click & Collect
From: Max <[email-masked]>
To: [email-masked]
Date: Wed, 09 Sep 2020 04:20:30 +0000

Hi Ebrahim Abduljalil Hageb,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I didnt receive my order 6217466251 since 20th August 2020 untill now I send before to ask about this order and no answer I tried to call your customer service but they avoid telling me when I can receive my order and told me your order is processing  I wonder I just ordered two items not two hundred items more than 20 days to get my order please I need my order otherwise I will complain / App Version: 6.32 / Android Version: 10 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1467785